Page 2 of 2 FirstFirst 12
Results 11 to 16 of 16

Thread: How To: SIMP server - encrypt IM chat

  1. #11
    Join Date
    Jan 2009
    Beans
    14

    Re: How To: SIMP server - encrypt IM chat

    .skf extention required for keys on the other side (win)

    i really need to get this working.

  2. #12
    Join Date
    Feb 2009
    Beans
    1

    Re: How To: SIMP server - encrypt IM chat

    I have SimpServer installed and running as a service. I have attached the startup script I wrote from skeleton.

    PHP Code:
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides:          simpserver
    # Required-Start:    simpserver
    # Default-Start:     2 3 4 5
    # Default-Stop:      S 0 1 6
    # Short-Description: SimpServer initscript
    # Description:       Script for launching SimpServer IM encryption.
    #                    Placed in /etc/init.d.
    #                    Activate with $ sudo update-rc.d simpserver defaults             
    ### END INIT INFO

    # Author: gotling

    # Do NOT "set -e"

    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    DESC
    ="Proxy for encrypting IM conversations"
    NAME=simpserver
    DAEMON
    ="/usr/local/simp/bin/$NAME"
    DAEMON_ARGS=""
    PIDFILE=/var/run/$NAME.pid
    SCRIPTNAME
    =/etc/init.d/$NAME

    # Exit if the package is not installed
    [ -"$DAEMON] || exit 0

    # Read configuration variable file if it is present
    [ -/etc/default/$NAME ] && . /etc/default/$NAME

    # Load the VERBOSE setting and other rcS variables
    [ -/etc/default/rcS ] && . /etc/default/rcS

    # Define LSB log_* functions.
    # Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
    . /lib/lsb/init-functions

    #
    # Function that starts the daemon/service
    #
    do_start()
    {
        
    # Return
        #   0 if daemon has been started
        #   1 if daemon was already running
        #   2 if daemon could not be started
        
    start-stop-daemon ---start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
            || return 
    1
        start
    -stop-daemon ---start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
            
    $DAEMON_ARGS \
            || return 
    2
        
    # Add code here, if necessary, that waits for the process to be ready
        # to handle requests from services started subsequently which depend
        # on this one.  As a last resort, sleep for some time.
    }

    #
    # Function that stops the daemon/service
    #
    do_stop()
    {
        
    # Return
        #   0 if daemon has been stopped
        #   1 if daemon was already stopped
        #   2 if daemon could not be stopped
        #   other if a failure occurred
        
    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/--pidfile $PIDFILE --name $NAME
        RETVAL
    ="$?"
        
    "$RETVAL] && return 2
        
    # Wait for children to finish too if this is a daemon that forks
        # and if the daemon is only ever run from this initscript.
        # If the above conditions are not satisfied then add some other code
        # that waits for the process to drop all resources that could be
        # needed by services started subsequently.  A last resort is to
        # sleep for some time.
        
    start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/--exec $DAEMON
        
    "$?" ] && return 2
        
    # Many daemons don't delete their pidfiles when they exit.
        
    rm -f $PIDFILE
        
    return "$RETVAL"
    }

    #
    # Function that sends a SIGHUP to the daemon/service
    #
    do_reload() {
        
    #
        # If the daemon can reload its configuration without
        # restarting (for example, when it is sent a SIGHUP),
        # then implement that here.
        #
        
    start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
        
    return 0
    }

    case 
    "$1" in
      start
    )
        [ 
    "$VERBOSE!= no ] && log_daemon_msg "Starting $DESC" "$NAME"
        
    do_start
        
    case "$?" in
            0
    |1) [ "$VERBOSE!= no ] && log_end_msg 0 ;;
            
    2) [ "$VERBOSE!= no ] && log_end_msg 1 ;;
        
    esac
        
    ;;
      
    stop)
        [ 
    "$VERBOSE!= no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        
    do_stop
        
    case "$?" in
            0
    |1) [ "$VERBOSE!= no ] && log_end_msg 0 ;;
            
    2) [ "$VERBOSE!= no ] && log_end_msg 1 ;;
        
    esac
        
    ;;
      
    restart|force-reload)
        
    log_daemon_msg "Restarting $DESC" "$NAME"
        
    do_stop
        
    case "$?" in
          0
    |1)
            
    do_start
            
    case "$?" in
                0
    log_end_msg 0 ;;
                
    1log_end_msg 1 ;; # Old process is still running
                
    *) log_end_msg 1 ;; # Failed to start
            
    esac
            
    ;;
          *)
              
    # Failed to stop
            
    log_end_msg 1
            
    ;;
        
    esac
        
    ;;
      *)
        echo 
    "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
        
    exit 3
        
    ;;
    esac



    I have a problem with simpserver, using pidgin to connect to simpserver with SOCKS4. The authentication and encryption is working fine.

    Though, quite often I loose connection to the MSN network and right after it is restored. Any one with the same problem? This only happens when using pidgin through the simpserver proxy.

    Kind regards

  3. #13
    Join Date
    Feb 2009
    Beans
    6

    Re: How To: SIMP server - encrypt IM chat

    Quote Originally Posted by gotling View Post
    I have a problem with simpserver, using pidgin to connect to simpserver with SOCKS4. The authentication and encryption is working fine.

    Though, quite often I loose connection to the MSN network and right after it is restored. Any one with the same problem? This only happens when using pidgin through the simpserver proxy.

    Kind regards

    I'm having the same problem. If anyone figures out how to fix it, I would really appreciate if you could let me know. I would love it if I could get some version of simplite running on linux.

    I can configure everything just fine, and it all works. Pidgin is set up with the Socks4 proxy, and the keys for simpserver are generated. The whole setup works, but it kicks on and off constantly, making it unuseable.

  4. #14
    Join Date
    Jan 2009
    Beans
    14

    Re: How To: SIMP server - encrypt IM chat

    i still can't figure out how to configure it with gtalk.

    what port does the simp server listen to for gtalk, any ideas?

  5. #15
    Join Date
    Nov 2005
    Location
    Ontario
    Beans
    26
    Distro
    Ubuntu 10.04 Lucid Lynx

    Lightbulb Re: How To: SIMP server - encrypt IM chat

    Thanks ninocass, dotkam and gotling, it's working for me now too!

    _________________________________
    Thanking someone is a great way to keep track of useful threads for yourself!
    Why is common sense not common at all

  6. #16
    Join Date
    Feb 2009
    Beans
    5
    Distro
    Ubuntu 9.10 Karmic Koala

    Re: How To: SIMP server - encrypt IM chat

    So, now that libstdc++5 is obsoleted, this doesn't work. I do have libstdc++6. Any way around this?

    no dice on:
    sudo apt-get install libstdc++5

    I also checked synaptic but there is only libstdc++6 packages for 9.10 (haven't made the jump to 10.04 on my server yet since I've seen people have issues with mysql)

    I want this to get around not having to use multiple IM clients with simplite since I have friends that use the pro version at work. They aren't able to use pidgin. (don't ask, it is stupid)


    Edit:
    Nevermind. Found the package here:http://packages.ubuntu.com/search?ke...ty&section=all
    Last edited by sircurmudgeon; August 11th, 2010 at 01:52 AM.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •